<?
namespace admin\view;

class SettingManager
{
	public function show()
	{
		global $lang , $db;

		$out = \admin\view\PagePanel::show( false , true , false , $lang -> getTrans( 'T_USTAWIENIA' ) );

		$tpl = new \Savant3;
		$tpl -> _firm_name			= \System::getSystemSettings( 'firm_name' );
		$tpl -> _street         = \System::getSystemSettings( 'street' );
		$tpl -> _postal_code		= \System::getSystemSettings( 'postal_code' );
		$tpl -> _city           = \System::getSystemSettings( 'city' );
		$tpl -> _nip            = \System::getSystemSettings( 'nip' );
		$tpl -> _email          = \System::getSystemSettings( 'email' );
		$tpl -> _phone          = \System::getSystemSettings( 'phone' );
		$tpl -> _account        = \System::getSystemSettings( 'account' );
		$tpl -> _person         = \System::getSystemSettings( 'person' );
		$tpl -> _fax            = \System::getSystemSettings( 'fax' );
		$tpl -> _contact_form		= \System::getSystemSettings( 'contact_form' );
		$tpl -> _user_register	= \System::getSystemSettings( 'user_register' );
		$tpl -> _admin_email		= \System::getSystemSettings( 'admin_email' );
		$tpl -> _email_host			= \System::getSystemSettings( 'email_host' );
		$tpl -> _email_port			= \System::getSystemSettings( 'email_port' );
		$tpl -> _email_login		= \System::getSystemSettings( 'email_login' );
		$tpl -> _email_password	= \System::getSystemSettings( 'email_password' );
		$tpl -> _google_map_key	= \System::getSystemSettings( 'google_map_key' );
    $tpl -> _visit_count    = \System::getSystemSettings( 'visit_count' );
    $tpl -> _register       = \System::getSystemSettings( 'register' );
		$out .= $tpl -> fetch( 'templates/settings.php' );

		return $out;
	}
}
?>